#include <bits/stdc++.h>

using namespace std;

int main() {
  ios::sync_with_stdio(false);
  cin.tie(0);
  int n;
  cin >> n;
  vector<int> a(n);
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  vector<int> pref(n);
  for (int i = 0; i < n; i++) {
    if (i > 0) {
      pref[i] = pref[i - 1];
    }
    if (a[i] > a[i + 1]) {
      pref[i]++;
    }
  }
  auto GetSum = [&](int l, int r) {
    if (l == r) {
      return 0;
    }
    r--;
    int s = pref[r];
    if (l > 0) {
      s -= pref[l - 1];
    }
    return s;
  };
  int q;
  cin >> q;
  while (q--) {
    int l, r;
    cin >> l >> r;
    --l; --r;
    int s = GetSum(l, r);
    if (s > 1) {
      cout << "NE" << '\n';
    } else {
      cout << "DA" << '\n';
    }
  }
  return 0;
}